Initiate order cancellation
curl --request POST \
--url https://api.jup.ag/trigger/v2/orders/price/cancel/{orderId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/trigger/v2/orders/price/cancel/{orderId}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jup.ag/trigger/v2/orders/price/cancel/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transaction": "AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAEN...",
"requestId": "cancel-request-uuid"
}Order Management
Cancel Order
Cancel a pending trigger order
POST
/
orders
/
price
/
cancel
/
{orderId}
Initiate order cancellation
Authorizations
Get API key via https://developers.jup.ag/portal
JWT token from the challenge-response auth flow
Path Parameters
Was this page helpful?
⌘I
